# IoT Arduino 
- Année : M2 IWOCS 2019-2020
- Matière: Internet des Objet (Arduino)
- Projet : Voiture suivi de tracé

## Auteur(s)

|Nom|Prénom|login|email|
|--|--|--|--|
| *KOUTO* | *Dosseh*| *kd184351* | *dosseh.kouto@etu.univ-lehavre.fr* |
| *IBRAHIM* | *Fawaz*| *if195111* | *fawaz.ibrahim@etu.univ-lehavre.fr* |
| *BELKAID* | *Radia*| *br191348* | *radia.belkaid@etu.univ-lehavre.fr* |



## Travail réaliser

Dans ce projet, je vous montrerai comment créer un robot anti-obstacle basé sur Arduino en utilisant un capteur ultrasonique HC-SR04. Pendant la construction, je vous expliquerai pourquoi vous devez utiliser un Chield motor et je vous expliquerai également comment fonctionne le capteur à ultrasons 
Nous disposons également d’une interface Web avec 3 boutons :
- Rouler : Permettant de faire rouler la voiture. 
- Enregistrer : Permet d’enregistrer  le parcours de la voiture sur une base de données (MongoDB). 
- Jouer dernier enregistrement :Permet de jouer le dernier  parcours de la voiture.
 Nous avons surmontés quelques difficultés pour le mener à bien et on a finalement réussi à terminer le projet. 


![](data/voiture.png)

![](data/interface.png)

## Composants matériels :

-   1x Arduino Uno
- 1x Chassie (découper a votre manière résistant sur lequel on pourra monter les roues et les autres composants)
- 1x Motor Shield (Adafruit) 
- 1x HC-SR04 Ultrasonic Sensor 
- 2x Motor + Gearbox 
- 2x Wheels 
- 1x Caster wheel 
- 1x 9v Battery 
- 1/* Ruban adhésif (Choisissez les couleurs que vous voulez.
- 8x wires females
- 8x wires males
- 8x wires males-females
